/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.78
        Device            :  PIC18F47Q10
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.05 and above
        MPLAB 	          :  MPLAB X 5.20	
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set EA2 aliases
#define EA2_TRIS                 TRISAbits.TRISA2
#define EA2_LAT                  LATAbits.LATA2
#define EA2_PORT                 PORTAbits.RA2
#define EA2_WPU                  WPUAbits.WPUA2
#define EA2_OD                   ODCONAbits.ODCA2
#define EA2_ANS                  ANSELAbits.ANSELA2
#define EA2_SetHigh()            do { LATAbits.LATA2 = 1; } while(0)
#define EA2_SetLow()             do { LATAbits.LATA2 = 0; } while(0)
#define EA2_Toggle()             do { LATAbits.LATA2 = ~LATAbits.LATA2; } while(0)
#define EA2_GetValue()           PORTAbits.RA2
#define EA2_SetDigitalInput()    do { TRISAbits.TRISA2 = 1; } while(0)
#define EA2_SetDigitalOutput()   do { TRISAbits.TRISA2 = 0; } while(0)
#define EA2_SetPullup()          do { WPUAbits.WPUA2 = 1; } while(0)
#define EA2_ResetPullup()        do { WPUAbits.WPUA2 = 0; } while(0)
#define EA2_SetPushPull()        do { ODCONAbits.ODCA2 = 0; } while(0)
#define EA2_SetOpenDrain()       do { ODCONAbits.ODCA2 = 1; } while(0)
#define EA2_SetAnalogMode()      do { ANSELAbits.ANSELA2 = 1; } while(0)
#define EA2_SetDigitalMode()     do { ANSELAbits.ANSELA2 = 0; } while(0)

// get/set I2C1_SCL1 aliases
#define I2C1_SCL1_TRIS                 TRISBbits.TRISB1
#define I2C1_SCL1_LAT                  LATBbits.LATB1
#define I2C1_SCL1_PORT                 PORTBbits.RB1
#define I2C1_SCL1_WPU                  WPUBbits.WPUB1
#define I2C1_SCL1_OD                   ODCONBbits.ODCB1
#define I2C1_SCL1_ANS                  ANSELBbits.ANSELB1
#define I2C1_SCL1_SetHigh()            do { LATBbits.LATB1 = 1; } while(0)
#define I2C1_SCL1_SetLow()             do { LATBbits.LATB1 = 0; } while(0)
#define I2C1_SCL1_Toggle()             do { LATBbits.LATB1 = ~LATBbits.LATB1; } while(0)
#define I2C1_SCL1_GetValue()           PORTBbits.RB1
#define I2C1_SCL1_SetDigitalInput()    do { TRISBbits.TRISB1 = 1; } while(0)
#define I2C1_SCL1_SetDigitalOutput()   do { TRISBbits.TRISB1 = 0; } while(0)
#define I2C1_SCL1_SetPullup()          do { WPUBbits.WPUB1 = 1; } while(0)
#define I2C1_SCL1_ResetPullup()        do { WPUBbits.WPUB1 = 0; } while(0)
#define I2C1_SCL1_SetPushPull()        do { ODCONBbits.ODCB1 = 0; } while(0)
#define I2C1_SCL1_SetOpenDrain()       do { ODCONBbits.ODCB1 = 1; } while(0)
#define I2C1_SCL1_SetAnalogMode()      do { ANSELBbits.ANSELB1 = 1; } while(0)
#define I2C1_SCL1_SetDigitalMode()     do { ANSELBbits.ANSELB1 = 0; } while(0)

// get/set I2C1_SDA1 aliases
#define I2C1_SDA1_TRIS                 TRISBbits.TRISB2
#define I2C1_SDA1_LAT                  LATBbits.LATB2
#define I2C1_SDA1_PORT                 PORTBbits.RB2
#define I2C1_SDA1_WPU                  WPUBbits.WPUB2
#define I2C1_SDA1_OD                   ODCONBbits.ODCB2
#define I2C1_SDA1_ANS                  ANSELBbits.ANSELB2
#define I2C1_SDA1_SetHigh()            do { LATBbits.LATB2 = 1; } while(0)
#define I2C1_SDA1_SetLow()             do { LATBbits.LATB2 = 0; } while(0)
#define I2C1_SDA1_Toggle()             do { LATBbits.LATB2 = ~LATBbits.LATB2; } while(0)
#define I2C1_SDA1_GetValue()           PORTBbits.RB2
#define I2C1_SDA1_SetDigitalInput()    do { TRISBbits.TRISB2 = 1; } while(0)
#define I2C1_SDA1_SetDigitalOutput()   do { TRISBbits.TRISB2 = 0; } while(0)
#define I2C1_SDA1_SetPullup()          do { WPUBbits.WPUB2 = 1; } while(0)
#define I2C1_SDA1_ResetPullup()        do { WPUBbits.WPUB2 = 0; } while(0)
#define I2C1_SDA1_SetPushPull()        do { ODCONBbits.ODCB2 = 0; } while(0)
#define I2C1_SDA1_SetOpenDrain()       do { ODCONBbits.ODCB2 = 1; } while(0)
#define I2C1_SDA1_SetAnalogMode()      do { ANSELBbits.ANSELB2 = 1; } while(0)
#define I2C1_SDA1_SetDigitalMode()     do { ANSELBbits.ANSELB2 = 0; } while(0)

// get/set RB6 procedures
#define RB6_SetHigh()            do { LATBbits.LATB6 = 1; } while(0)
#define RB6_SetLow()             do { LATBbits.LATB6 = 0; } while(0)
#define RB6_Toggle()             do { LATBbits.LATB6 = ~LATBbits.LATB6; } while(0)
#define RB6_GetValue()              PORTBbits.RB6
#define RB6_SetDigitalInput()    do { TRISBbits.TRISB6 = 1; } while(0)
#define RB6_SetDigitalOutput()   do { TRISBbits.TRISB6 = 0; } while(0)
#define RB6_SetPullup()             do { WPUBbits.WPUB6 = 1; } while(0)
#define RB6_ResetPullup()           do { WPUBbits.WPUB6 = 0; } while(0)
#define RB6_SetAnalogMode()         do { ANSELBbits.ANSELB6 = 1; } while(0)
#define RB6_SetDigitalMode()        do { ANSELBbits.ANSELB6 = 0; } while(0)

// get/set DOut_RC4 aliases
#define DOut_RC4_TRIS                 TRISCbits.TRISC4
#define DOut_RC4_LAT                  LATCbits.LATC4
#define DOut_RC4_PORT                 PORTCbits.RC4
#define DOut_RC4_WPU                  WPUCbits.WPUC4
#define DOut_RC4_OD                   ODCONCbits.ODCC4
#define DOut_RC4_ANS                  ANSELCbits.ANSELC4
#define DOut_RC4_SetHigh()            do { LATCbits.LATC4 = 1; } while(0)
#define DOut_RC4_SetLow()             do { LATCbits.LATC4 = 0; } while(0)
#define DOut_RC4_Toggle()             do { LATCbits.LATC4 = ~LATCbits.LATC4; } while(0)
#define DOut_RC4_GetValue()           PORTCbits.RC4
#define DOut_RC4_SetDigitalInput()    do { TRISCbits.TRISC4 = 1; } while(0)
#define DOut_RC4_SetDigitalOutput()   do { TRISCbits.TRISC4 = 0; } while(0)
#define DOut_RC4_SetPullup()          do { WPUCbits.WPUC4 = 1; } while(0)
#define DOut_RC4_ResetPullup()        do { WPUCbits.WPUC4 = 0; } while(0)
#define DOut_RC4_SetPushPull()        do { ODCONCbits.ODCC4 = 0; } while(0)
#define DOut_RC4_SetOpenDrain()       do { ODCONCbits.ODCC4 = 1; } while(0)
#define DOut_RC4_SetAnalogMode()      do { ANSELCbits.ANSELC4 = 1; } while(0)
#define DOut_RC4_SetDigitalMode()     do { ANSELCbits.ANSELC4 = 0; } while(0)

// get/set RD0 procedures
#define RD0_SetHigh()            do { LATDbits.LATD0 = 1; } while(0)
#define RD0_SetLow()             do { LATDbits.LATD0 = 0; } while(0)
#define RD0_Toggle()             do { LATDbits.LATD0 = ~LATDbits.LATD0; } while(0)
#define RD0_GetValue()              PORTDbits.RD0
#define RD0_SetDigitalInput()    do { TRISDbits.TRISD0 = 1; } while(0)
#define RD0_SetDigitalOutput()   do { TRISDbits.TRISD0 = 0; } while(0)
#define RD0_SetPullup()             do { WPUDbits.WPUD0 = 1; } while(0)
#define RD0_ResetPullup()           do { WPUDbits.WPUD0 = 0; } while(0)
#define RD0_SetAnalogMode()         do { ANSELDbits.ANSELD0 = 1; } while(0)
#define RD0_SetDigitalMode()        do { ANSELDbits.ANSELD0 = 0; } while(0)

// get/set RD1 procedures
#define RD1_SetHigh()            do { LATDbits.LATD1 = 1; } while(0)
#define RD1_SetLow()             do { LATDbits.LATD1 = 0; } while(0)
#define RD1_Toggle()             do { LATDbits.LATD1 = ~LATDbits.LATD1; } while(0)
#define RD1_GetValue()              PORTDbits.RD1
#define RD1_SetDigitalInput()    do { TRISDbits.TRISD1 = 1; } while(0)
#define RD1_SetDigitalOutput()   do { TRISDbits.TRISD1 = 0; } while(0)
#define RD1_SetPullup()             do { WPUDbits.WPUD1 = 1; } while(0)
#define RD1_ResetPullup()           do { WPUDbits.WPUD1 = 0; } while(0)
#define RD1_SetAnalogMode()         do { ANSELDbits.ANSELD1 = 1; } while(0)
#define RD1_SetDigitalMode()        do { ANSELDbits.ANSELD1 = 0; } while(0)

// get/set LED_RE0 aliases
#define LED_RE0_TRIS                 TRISEbits.TRISE0
#define LED_RE0_LAT                  LATEbits.LATE0
#define LED_RE0_PORT                 PORTEbits.RE0
#define LED_RE0_WPU                  WPUEbits.WPUE0
#define LED_RE0_OD                   ODCONEbits.ODCE0
#define LED_RE0_ANS                  ANSELEbits.ANSELE0
#define LED_RE0_SetHigh()            do { LATEbits.LATE0 = 1; } while(0)
#define LED_RE0_SetLow()             do { LATEbits.LATE0 = 0; } while(0)
#define LED_RE0_Toggle()             do { LATEbits.LATE0 = ~LATEbits.LATE0; } while(0)
#define LED_RE0_GetValue()           PORTEbits.RE0
#define LED_RE0_SetDigitalInput()    do { TRISEbits.TRISE0 = 1; } while(0)
#define LED_RE0_SetDigitalOutput()   do { TRISEbits.TRISE0 = 0; } while(0)
#define LED_RE0_SetPullup()          do { WPUEbits.WPUE0 = 1; } while(0)
#define LED_RE0_ResetPullup()        do { WPUEbits.WPUE0 = 0; } while(0)
#define LED_RE0_SetPushPull()        do { ODCONEbits.ODCE0 = 0; } while(0)
#define LED_RE0_SetOpenDrain()       do { ODCONEbits.ODCE0 = 1; } while(0)
#define LED_RE0_SetAnalogMode()      do { ANSELEbits.ANSELE0 = 1; } while(0)
#define LED_RE0_SetDigitalMode()     do { ANSELEbits.ANSELE0 = 0; } while(0)

// get/set BP_RE2 aliases
#define BP_RE2_TRIS                 TRISEbits.TRISE2
#define BP_RE2_LAT                  LATEbits.LATE2
#define BP_RE2_PORT                 PORTEbits.RE2
#define BP_RE2_WPU                  WPUEbits.WPUE2
#define BP_RE2_OD                   ODCONEbits.ODCE2
#define BP_RE2_ANS                  ANSELEbits.ANSELE2
#define BP_RE2_SetHigh()            do { LATEbits.LATE2 = 1; } while(0)
#define BP_RE2_SetLow()             do { LATEbits.LATE2 = 0; } while(0)
#define BP_RE2_Toggle()             do { LATEbits.LATE2 = ~LATEbits.LATE2; } while(0)
#define BP_RE2_GetValue()           PORTEbits.RE2
#define BP_RE2_SetDigitalInput()    do { TRISEbits.TRISE2 = 1; } while(0)
#define BP_RE2_SetDigitalOutput()   do { TRISEbits.TRISE2 = 0; } while(0)
#define BP_RE2_SetPullup()          do { WPUEbits.WPUE2 = 1; } while(0)
#define BP_RE2_ResetPullup()        do { WPUEbits.WPUE2 = 0; } while(0)
#define BP_RE2_SetPushPull()        do { ODCONEbits.ODCE2 = 0; } while(0)
#define BP_RE2_SetOpenDrain()       do { ODCONEbits.ODCE2 = 1; } while(0)
#define BP_RE2_SetAnalogMode()      do { ANSELEbits.ANSELE2 = 1; } while(0)
#define BP_RE2_SetDigitalMode()     do { ANSELEbits.ANSELE2 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/